Loading...
Searching...
No Matches
ring.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/mol.h>`
`#include <openbabel/ring.h>`
`#include <openbabel/bond.h>`
`#include <openbabel/atom.h>`
`#include <openbabel/obiter.h>`
`#include <openbabel/generic.h>`
`#include <openbabel/oberror.h>`
`#include <openbabel/elements.h>`

## Namespaces

namespace | OpenBabel

## Macros

#define | OB_RTREE_CUTOFF 20

## Functions

static int | DetermineFRJ (OBMol &)
static void | BuildOBRTreeVector (OBAtom *, OBRTree *, vector< OBRTree * > &, OBBitVec &)
std::vector< unsigned int > | atomRingToBondRing (OBMol *mol, const std::vector< int > &atoms)
void | visitRing (OBMol *mol, OBRing *ring, std::vector< OBRing * > &rlist, std::vector< OBRing * > &rignored)
static unsigned int | FindRingAtomsAndBonds2 (OBMol &mol)
bool | CompareRingSize (const OBRing *, const OBRing *)
static int | FindRings (OBAtom *atom, int *avisit, unsigned char *bvisit, unsigned int &frj, int depth)

## Variables

OBRingTyper | ringtyper

## Detailed Description

Deal with rings, find smallest set of smallest rings (SSSR).

## Macro Definition Documentation

## OB_RTREE_CUTOFF

#define OB_RTREE_CUTOFF 20

Referenced by OpenBabel::BuildOBRTreeVector().